VIRT-LOGIN-SHELL(1)

NAME
virt-login-shell - tool to execute a shell within a container matching the users name

SYNOPSIS
virt-login-shell [OPTION]

DESCRIPTION
The virt-login-shell program is a setuid shell that is used to join an LXC container that matches the user's name. If the container is not running, virt-login-shell will attempt to start the container. virt-login-shell is not allowed to be run by root. Normal users will get added to a container that matches their username, if it exists, and they are configured in /etc/libvirt/virt-login-shell.conf.

The basic structure of most virt-login-shell usage is:

  virt-login-shell

OPTIONS

-h, --help
    Display command line help usage then exit.

-V, --version
    Display version information then exit.

CONFIG
By default, virt-login-shell will execute the /bin/sh program for the user. You can modify this behaviour by defining the shell variable in /etc/libvirt/virt-login-shell.conf.

eg. shell = [ "/bin/ksh", "--login"]

By default no users are allowed to use virt-login-shell, if you want to allow certain users to use virt-login-shell, you need to modify the allowed_users variable in /etc/libvirt/virt-login-shell.conf.

eg. allowed_users = [ "tom", "dick", "harry" ]

EXIT STATUS
virt-login-shell normally returns the exit status of the command it executed. If the command was killed by a signal, but that signal is not fatal to virt-login-shell, then it returns the signal number plus 128.

Exit status generated by virt-login-shell itself:

0 An option was used to learn more about this binary.
125 Generic error before attempting execution of the configured shell; for example, if libvirtd is not running.
126 The configured shell exists but could not be executed.
127 The configured shell could not be found.

BUGS
Report any bugs discovered to the libvirt community via the mailing list "http://libvirt.org/contact.html" or bug tracker "http://libvirt.org/bugs.html". Alternatively report bugs to your software distributor / vendor.

AUTHORS
  Please refer to the AUTHORS file distributed with libvirt.

  Daniel Walsh <dwalsh at redhat dot com>

COPYRIGHT
Copyright (C) 2013-2014 Red Hat, Inc., and the authors listed in the libvirt AUTHORS file.

LICENSE
virt-login-shell is distributed under the terms of the GNU LGPL v2+. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE

SEE ALSO
virsh(1), <http://www.libvirt.org/>